import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class PlotterTurtle here.
 * 
 * @author GreenJ
 * @version (a version number or a date)
 */
public class PlotterTurtle extends Turtle
{
    /**
     * Act - do whatever the PlotterTurtle wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private boolean fresh = true;
    private double step = 1;
    private double x_scale = 100;
    private double y_scale = 100;
    private double x0 = -4;
    private double y0 = 300;

    public PlotterTurtle()
    {
    }
    
    public double f(double x)
    {
        return -0.7*x*x+2; // Deine Funktion
    }
    
    public double ff(double x) //wrapper using scaling 
    {
        return y(f(x(x)));
    }
    public double x(double x){   return x0 + x/x_scale;    } // xcoord -> x arg
    public double x_1(double x) { return (x-x0)*x_scale; }  // x -> xcoord
    public double y(double y)    {  return y0 - y*y_scale;   } // y->ycoord
    public double y_1(double y)    {  return (y0-y)/y_scale;   } // ycoord -> yarg
    public int y_max()   { return (int)Math.floor(y_1(0)); }
    public int y_min()   { return (int)Math.ceil(y_1(getWorld().getWidth())); }
    
    public void anfang()
    {
        penUp();
        penDown();
        achsenkreuz();
        setLocation(0.0,ff(0));

    }
    
    public void achsenkreuz()
    {
        penDown();
        setLocation(0,y(0));  // x-Axis
        moveTo(getWorld().getWidth(),y(0));
        setLocation(x_1(0),0);  // y-Axis
        moveTo(x_1(0),getWorld().getHeight());
        //y ticks
        turnTo(0);
        for (int i = y_min(); i<= y_max(); i++)
        {
            setLocation(x_1(0)-5,y(i));
            move(10);
        }
        //x-ticks
        turnTo(90);
        for (int i = (int)x0; i<= x(getWorld().getHeight()); i++)
        {
            setLocation(x_1(i),y(0)-5);
            move(10);
        }
        
    }
    
    public void act() 
    {
        if (fresh)
        {
            fresh = false;
            anfang();
        }
        
        double x_neu = getX() + step;
        moveTo(x_neu,ff(x_neu));
        
        
        // Add your action code here.
    }    
}
